"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThumbNailSection = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var ThumbNail_1 = require("./components/ThumbNail");
var onyxia_ui_1 = require("onyxia-ui");
var theme_1 = require("./theme");
var powerhooks_1 = require("powerhooks");
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme, _a) {
        var _b, _c;
        var breakpointForColumnDisplay = _a.breakpointForColumnDisplay;
        return ({
            "title": {
                "textAlign": "center",
                "marginBottom": theme.spacing(7.5),
                "marginTop": theme.spacing(17.25),
            },
            "thumbNails": (_b = {
                    "display": "flex",
                    "flexWrap": "wrap",
                    "justifyContent": "center"
                },
                _b[theme.breakpoints.down(breakpointForColumnDisplay !== undefined ? breakpointForColumnDisplay : "sm")] = {
                    "flexDirection": "column",
                    "alignItems": "center",
                    "paddingLeft": theme.spacing(4.5),
                    "paddingRight": theme.spacing(4.5),
                },
                _b),
            "thumbNail": (_c = {
                    "margin": theme.spacing(1.5)
                },
                _c[theme.breakpoints.down(breakpointForColumnDisplay !== undefined ? breakpointForColumnDisplay : "sm")] = {
                    "width": "100%",
                    "margin": [1.5, 0, 1.5, 0].map(function (spacing) { return theme.spacing(spacing) + "px"; }).join(" "),
                },
                _c),
        });
    }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.ThumbNailSection = react_1.memo(function (props) {
    var title = props.title, thumbNails = props.thumbNails, className = props.className, breakpointForColumnDisplay = props.breakpointForColumnDisplay;
    var useClassNames = powerhooks_1.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({ breakpointForColumnDisplay: breakpointForColumnDisplay }).classNames;
    return (jsx_runtime_1.jsxs("section", __assign({ className: className }, { children: [title && (jsx_runtime_1.jsx(onyxia_ui_1.Typography, __assign({ className: classNames.title, variant: "h2" }, { children: title }), void 0)),
            thumbNails && (jsx_runtime_1.jsx("div", __assign({ className: classNames.thumbNails }, { children: thumbNails.map(function (thumbNail, index) { return (jsx_runtime_1.jsx(ThumbNail_1.ThumbNail, __assign({ className: classNames.thumbNail }, thumbNail), index)); }) }), void 0))] }), void 0));
});
//# sourceMappingURL=ThumbNailSection.js.map